Skip to main content

GET /snds/ip_status

GET 

snds/ip_status

Retrieve Microsoft SNDS filter status data for monitored IP addresses

Query Parameters​

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

sort string
Example: -ip (desc) or ip (asc)

period_from string Required
Start of the time period. Use date-time without timezone because SNDS records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

period_to string Required
End of the time period. Use date-time without timezone because SNDS records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The range between period_from and period_to must not exceed 30 days

ips string
Comma-separated list of IP addresses to filter by. Each value can be a full or partial match

rdns string
Comma-separated list of reverse DNS hostnames to filter by. Each value can be a full or partial match

profile_id string
Filter by profile ID

Returns

  • dataarray
    • ipstring
      Sending IP address
    • date_timestampstring
      Date of the IP status record
    • dns_reverse_resultarray
      Reverse DNS lookup results for the IP address
      • rdnsstring
        Reverse DNS hostname
    • blockedstring
      Indicates whether the IP is currently blocked
    • detailsstring
      Additional details about the IP status
  • metaobject
    Pagination metadata for list responses
    • countinteger
      Total number of items available
    • offsetinteger
      Number of items skipped
    • limitinteger
      Maximum number of items returned per request
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error